Get a list of goals
get
/Goal
Note: The FHIR API endpoints described below are currently pending production deployment for electronic health record (EHR) environments. Developers are welcome and encouraged to develop against the specifications in anticipation of production availability, which will be announced at a later date.
Retrieves a list of goals that meet the supplied query parameters.
Request
Query Parameters
-
_id: string
The logical resource ID.
-
_revinclude: string
The related Provenance resources to include in the search bundle.Allowed Values:
[ "Provenance:target" ] -
patient: string
Who this goal is intended for.
Header Parameters
-
accept(required): string
The media type to be requested.
Example:
application/fhir+json -
authorization(required): string
The credentials to authenticate a consumer to the service. This should be the OAuth2 Bearer Token.
There's no request body for this operation.
Back to TopResponse
200 Response
Successful search response.
Root Schema : schema
Type:
Show Source
object-
entry: array
entry
-
id(required): string
-
link: array
link
-
resourceType(required): string
Allowed Values:
[ "Bundle" ] -
type(required): string
Nested Schema : Goal
Type:
Show Source
object-
description(required):
description
(USCDI) The code or text describing the goal.
-
id(required): string
-
lifecycleStatus(required): string
(USCDI) The following values are supported:
proposedplannedacceptedactiveon-holdcompletedcancelledentered-in-errorrejected
-
resourceType(required): string
Allowed Values:
[ "Goal" ] -
startDate: string
(date)
(USCDI) When the goal pursuit begins.
-
subject(required):
subject
(USCDI) Who this goal is intended for.
-
target: array
target
(USCDI) The target outcome for the goal.
Nested Schema : description
(USCDI) The code or text describing the goal.
Match All
(USCDI) The code or text describing the goal.
Show Source
Nested Schema : subject
(USCDI) Who this goal is intended for.
Match All
(USCDI) Who this goal is intended for.
Show Source
Nested Schema : GoalTarget
Type:
Show Source
object-
dueDate: string
(date)
(USCDI) The target date to reach the goal (on or before this date).
Nested Schema : BundleLink
Type:
Show Source
object-
relation: string
Allowed Values:
[ "self", "next", "previous" ] -
url: string
(uri)
Default Response
An OperationOutcome
describing any error that occurred.
Root Schema : OperationOutcome
Type:
Show Source
object-
issue(required): array
issue
-
resourceType(required): string
Allowed Values:
[ "OperationOutcome" ]